FASTANI(1)

NAME
fastANI - Fast alignment-free computation of whole-genome Average Nucleotide Identity

DESCRIPTION
----------------- fastANI is a fast alignment-free implementation for computing whole-genome Average Nucleotide Identity (ANI) between genomes ----------------- Example usage: $ fastANI -q genome1.fa -r genome2.fa -o output.txt $ fastANI -q genome1.fa --rl genome_list.txt -o output.txt

Available options ----------------- -h, --help

    Print this help page

-r <value>, --ref <value>

    reference genome (fasta/fastq)[.gz]

--refList <value>, --rl <value>

    a file containing list of reference genome files, one genome per line

-q <value>, --query <value>

    query genome (fasta/fastq)[.gz]

--ql <value>, --queryList <value>

    a file containing list of query genome files, one genome per line

-k <value>, --kmer <value>

    kmer size <= 16 [default : 16]

-t <value>, --threads <value>

    thread count for parallel execution [default : 1]

--fragLen <value>

    fragment length [default : 3,000]

--minFraction <value>

    minimum fraction of genome that must be shared for trusting ANI. If reference and query genome size differ, smaller one among the two is considered. [default : 0.2]

--visualize

    output mappings for visualization, can be enabled for single genome to single genome comparison only [disabled by default]

--matrix

    also output ANI values as lower triangular matrix (format inspired from phylip). If enabled, you should expect an output file with .matrix extension [disabled by default]

-o <value>, --output <value> [required]

    output file name

-v, --version

    Show version

AUTHOR
 This manpage was written by Nilesh Patra for the Debian distribution and
 can be used for any other usage of the program.